<h2>My Sandwich<span class="text-secondary">(es)</span> {% if meal and meal.isOpen %}{{ include('assets/add.html.twig', {add_path: path('sandwich_new', {'token': token}), button_label: 'Add'}) }}{% endif %}</h2>
{% if meal %}
<table class="table">
    <thead>
    <tr>
        <th style="width: 40px">#</th>
        <th>Baked</th>
        <th>Bread</th>
        <th>Size</th>
        <th>Taste</th>
        <th>Extras</th>
        <th>Vegetables</th>
        <th>Sauce</th>
        <th></th>
    </tr>
    </thead>
    <tbody>
    {% for sandwich in eaterSandwiches %}
        <tr>
            <td>{{ loop.index }}</td>
            <td>{{ sandwich.baked ? 'Yes' : 'No' }}</td>
            <td>{{ sandwich.bread.name }}</td>
            <td>{{ sandwich.size.size }}</td>
            <td>{{ sandwich.taste.name }}</td>
            <td>{{ sandwich.extras|displayManyMany('name') }}</td>
            <td>{{ sandwich.vegetables|displayManyMany('name') }}</td>
            <td>{{ sandwich.sauce.name }}</td>
            <td class="float-right">
                {{ include('assets/edit.html.twig', {edit_path: path('sandwich_edit', {'id': sandwich.id, 'token': token}) }) }}
                {{ include('assets/delete.html.twig', {action: path('sandwich_delete', {'id': sandwich.id, 'token': token}), csrf: csrf_token('delete' ~ sandwich.id)}) }}
            </td>
        </tr>
    {% else %}
        <tr>
            <td colspan="3">no records found</td>
        </tr>
    {% endfor %}
    </tbody>
</table>
{% endif %}